<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Name: VZVZ Opleveren Medicatievoorschriften
Description: Opleveren Medicatievoorschriften: Deze interactie wordt door bronsystemen gebruikt om medicatievoorschriften op te leveren naar aanleiding van een bevraging door het LSP. Verdere informatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-2.16.840.1.113883.2.4.3.111.3.3.10.12-2014-01-13T000000">
    <title>VZVZ Opleveren Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]" id="d131e3289-false-d137482e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject] is required [min 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]" id="d131e3290-false-d137495e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@moodCode) = ('EVN')">(opleverenVoorschriftenLijst): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:effectiveTime) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]] is required [min 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]" id="d131e3292-false-d137527e0">
        <extends rule="CV"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opleverenVoorschriftenLijst): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:effectiveTime
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:effectiveTime" id="d131e3296-false-d137542e0">
        <extends rule="TS"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="not(*)">(opleverenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]" id="d131e3302-false-d137555e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']] is required [min 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]" id="d131e3303-false-d137570e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@classCode) = ('LIST') or not(@classCode)">(opleverenVoorschriftenLijst): de waarde van classCode MOET 'LIST' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@moodCode) = ('EVN') or not(@moodCode)">(opleverenVoorschriftenLijst): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12'] is mandatory [min 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12'] komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']] is mandatory [min 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']] komt te vaak voor [max 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']" id="d131e3310-false-d137615e0">
        <extends rule="II"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@root) = ('2.16.840.1.113883.2.4.3.111.3.3.10.12')">(opleverenVoorschriftenLijst): de waarde van root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.12' zijn. Gevonden: "<value-of select="@root"/>"</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:code[(@code = 'MEDLIST' and @codeSystem = '2.16.840.1.113883.5.4')]" id="d131e3316-false-d137629e0">
        <extends rule="CV"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="@nullFlavor or (@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')">(opleverenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'MEDLIST' codeSystem '2.16.840.1.113883.5.4''.</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]" id="d131e3320-false-d137644e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@typeCode) = ('RCT')">(opleverenVoorschriftenLijst): de waarde van typeCode MOET 'RCT' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@contextControlCode) = ('OP')">(opleverenVoorschriftenLijst): de waarde van contextControlCode MOET 'OP' zijn. Gevonden: "<value-of select="@contextControlCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] komt te vaak voor [max 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]/hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]/hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]" id="d131e3328-false-d137669e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@classCode) = ('PAT')">(opleverenVoorschriftenLijst): de waarde van classCode MOET 'PAT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.3']) &gt;= 1">(opleverenVoorschriftenLijst): element hl7:id[@root = '2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.3']) &lt;= 1">(opleverenVoorschriftenLijst): element hl7:id[@root = '2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]/hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.3']
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:recordTarget[not(@nullFlavor)][@contextControlCode = 'OP'][@typeCode = 'RCT'][hl7:patient[@classCode = 'PAT']]/hl7:patient[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.3']" id="d131e3335-false-d137690e0">
        <extends rule="II.NL.BSN"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@root) = ('2.16.840.1.113883.2.4.6.3')">(opleverenVoorschriftenLijst): de waarde van root MOET '2.16.840.1.113883.2.4.6.3' zijn. Gevonden: "<value-of select="@root"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="@extension">(opleverenVoorschriftenLijst): attribute @extension MOET aanwezig zijn.</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.12
Context: //hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:component
Item: (opleverenVoorschriftenLijst)
-->
    <rule context="//hl7:QURX_IN990103NL02[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.12']]/hl7:component" id="d131e3346-false-d137707e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.12" test="string(@typeCode) = ('COMP') or not(@typeCode)">(opleverenVoorschriftenLijst): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
    </rule>
</pattern>